View Issue Details

IDProjectCategoryView StatusLast Update
0003551Path[FreeCAD] Bugpublic2019-01-24 13:09
Reporterbarry Assigned Tomlampert  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAppImage x86_64OSLinuxOS VersionArch
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003551: "Tag Dress-up" replaces vertical feed rates with horizontal feed rate.
DescriptionI attempted to make the prerequisite forum post. It is titled "Bug in Path->Tag Dress-up" but seems to be stuck in review, so I have no link to give you.

Application of "Tag Dress-up" to a Profile_Edges operation replaces the vertical feed rate with the horizontal feed rate value.

The bug is present in these tested versions:
FreeCAD-13522.glibc2.17-x86_64.AppImage
FreeCAD-13528.glibc2.17-x86_64.AppImage
FreeCAD_0.18.14183.glibc2.17-x86_64.AppImage
Steps To Reproduce- Open the attached test_circle_1.5in.fcstd.
- Path->Inspect G-code
Note the vertical feed rate "F8.333333"

- Apply "Tag Dress-up" to the Profile_Edges operation.
- Path->Inspect G-code
Note the vertical feed rate has been changed from "F8.333333" to "F26.666667"

I have attached files with both "internal" g-code and g-code produced after grbl post-processing.
Additional InformationOS: Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14183 (Git) AppImage
Build type: None
Branch: master
Hash: 8ef330d19ab4aa0cfd6b9a6d41d51eed30620707
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)
TagsPath
FreeCAD Information

Activities

barry

2018-08-02 05:30

reporter  

internal_gcode_without_tags.gcode (9,439 bytes)
internal_gcode_with_tags.gcode (14,483 bytes)
test_circle_1.5in.fcstd (20,648 bytes)
grbl_gcode_with_tags.gcode (11,130 bytes)
grbl_gcode_without_tags.gcode (7,345 bytes)

Kunda1

2018-08-02 18:56

administrator   ~0011582

Thank you for the ticket. Though mind you that we ask people to please please post to the forum first before opening a ticket in order to confirm issue and prevent tracker bloat.

CC @sliptonic

Kunda1

2018-08-23 17:05

administrator   ~0011643

Created discussion thread: https://forum.freecadweb.org/viewtopic.php?f=15&t=30473

mlampert

2019-01-24 06:17

developer   ~0012503

https://github.com/FreeCAD/FreeCAD/pull/1926

Issue History

Date Modified Username Field Change
2018-08-02 05:30 barry New Issue
2018-08-02 05:30 barry Tag Attached: Path
2018-08-02 05:30 barry File Added: internal_gcode_without_tags.gcode
2018-08-02 05:30 barry File Added: internal_gcode_with_tags.gcode
2018-08-02 05:30 barry File Added: test_circle_1.5in.fcstd
2018-08-02 05:30 barry File Added: grbl_gcode_with_tags.gcode
2018-08-02 05:30 barry File Added: grbl_gcode_without_tags.gcode
2018-08-02 18:56 Kunda1 Note Added: 0011582
2018-08-23 17:05 Kunda1 Note Added: 0011643
2019-01-22 04:43 sliptonic Assigned To => mlampert
2019-01-22 04:43 sliptonic Status new => assigned
2019-01-22 05:36 sliptonic Target Version => 0.18
2019-01-24 06:17 mlampert Note Added: 0012503
2019-01-24 13:09 wmayer Status assigned => closed
2019-01-24 13:09 wmayer Resolution open => fixed
2019-01-24 13:09 wmayer Fixed in Version => 0.18